import { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    /**
     * The active state of the select option
     * @type Boolean
     * @default false
     * @name active
     */
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The disabled state of the select option
     * @type Boolean
     * @default false
     * @name disabled
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The label of the select option
     * @type String
     * @default ''
     * @name label
     */
    label: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The tabindex of the list group item
     * @type Number | String
     * @default 0
     * @name tabindex
     */
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * The select option
     * @type Object | String | Number
     * @default {}
     * @name value
     */
    value: {
        type: PropType<SelectOption>;
        default: () => SelectOption;
    };
}, {
    ariaDisabled: import("vue").ComputedRef<"true" | null>;
    ariaSelected: import("vue").ComputedRef<"true" | null>;
    classes: import("vue").ComputedRef<{
        '-active': boolean;
        '-disabled': boolean;
    }>;
    tabIndex: import("vue").ComputedRef<string | number>;
    onClick: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The active state of the select option
     * @type Boolean
     * @default false
     * @name active
     */
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The disabled state of the select option
     * @type Boolean
     * @default false
     * @name disabled
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The label of the select option
     * @type String
     * @default ''
     * @name label
     */
    label: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The tabindex of the list group item
     * @type Number | String
     * @default 0
     * @name tabindex
     */
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * The select option
     * @type Object | String | Number
     * @default {}
     * @name value
     */
    value: {
        type: PropType<SelectOption>;
        default: () => SelectOption;
    };
}>>, {
    value: SelectOption;
    label: string;
    active: boolean;
    disabled: boolean;
    tabindex: string | number;
}>;
export default _default;
