import { getValueByPath, isFunction } from "@grozav/utils";
import { i18n } from "@inkline/inkline/i18n";
export function translate(path, params = {}) {
  const valueByPath = getValueByPath(i18n.messages[i18n.locale], path);
  const string = (isFunction(valueByPath) ? valueByPath(params) : valueByPath) || path;
  return Object.keys(params).reduce((acc, key) => {
    return acc.replace(new RegExp(`{${key}}`, "g"), `${params[key]}`);
  }, string);
}
