"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toastEventBus = exports.createToastService = exports.ToastPlugin = exports.ToastKey = void 0;
var _utils = require("@grozav/utils");
const toastEventBus = (0, _utils.createEventBus)();
exports.toastEventBus = toastEventBus;
const createToastService = () => ({
  show: options => {
    toastEventBus.emit("show", options);
  },
  hide: options => {
    toastEventBus.emit("hide", options);
  },
  hideAll: () => {
    toastEventBus.emit("hideAll", {});
  }
});
exports.createToastService = createToastService;
const ToastKey = Symbol("toast");
exports.ToastKey = ToastKey;
const ToastPlugin = {
  install: app => {
    const toastService = createToastService();
    app.config.globalProperties.$toast = toastService;
    app.provide(ToastKey, toastService);
  }
};
exports.ToastPlugin = ToastPlugin;