"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initialize = initialize;
var _constants = require("@inkline/inkline/constants");
function initialize(schema) {
  const isField = Object.keys(schema).length === 0 || Array.isArray(schema.validators) || schema.hasOwnProperty("value");
  const defaultValues = isField ? {
    ..._constants.defaultValidationValues,
    ..._constants.defaultFieldValidationValues
  } : _constants.defaultValidationValues;
  Object.entries(defaultValues).forEach(([key, value]) => {
    if (!schema.hasOwnProperty(key)) {
      schema[key] = value;
    }
  });
  Object.keys(schema).filter(key => !_constants.reservedValidationFields.includes(key)).forEach(key => {
    if (typeof schema[key] === "object" || Array.isArray(schema[key])) {
      schema[key] = initialize(schema[key]);
    }
  });
  return schema;
}